# blumind mind map uninstaller script
# 2016 foo.li systeme + software

# does not create any uninstall entries...

$packageName    = 'blumind'
$silentArgs     = '/S'
$installerType	= 'EXE'

if ($env:PROCESSOR_ARCHITECTURE -eq 'AMD64') {
    $dir = ${env:ProgramFiles(x86)} + '\Blumind'
} else {
    $dir = $env:ProgramFiles + '\Blumind'
}

$uninstaller    = $dir + '\uninstall.exe'

try {
    if (Test-Path $dir) {
        Uninstall-ChocolateyPackage "$packageName" "$installerType" "$silentArgs" "$uninstaller"
        Write-Verbose 'as the uninstaller seems useless...'
        Remove-Item -Path "${env:allusersprofile}\Microsoft\Windows\Start Menu\Programs\Blumind" `
            -Recurse -Force -ErrorAction SilentlyContinue
        Remove-Item -Path "${dir}" -Recurse -Force -ErrorAction SilentlyContinue
        
    } else {
        Write-Host 'Blumind seems to be uninstalled already'
    }
} catch {
    throw $_.Exception
}